class CreateBinaryPoints < ActiveRecord::Migration
  def change
    create_table :binary_points do |t|
      t.integer :value
      t.integer :side
      t.references :annonce_account, index: true
      t.integer :fileul_id
      t.references :order, index: true
      t.boolean :canceled
      t.datetime :canceled_at
      t.integer :point_type

      t.timestamps null: false
    end
    add_foreign_key :binary_points, :annonce_accounts
    add_foreign_key :binary_points, :orders
  end
end
